Skip to main content

Contract Information

When using the SatVu Platform, for Tasking or Catalog, you must specify which Contract you are working under. Contracts define the terms, access rights and restrictions applied to your requests. See Accessing SatVu Platform and Contract Restrictions for more details.

You can use the Policy Service to retrieve information about your available contracts. This service allows you to:

  • List all contracts you have access to
  • View key parameters, restrictions and variables for each contract.
info

Unlike other API endpoints, you need to provide the Access Token in the request body rather than in the header

List contracts

To list all Contracts available to your account, call the POST /contracts endpoint in the Policy service.

Here is an example request:

curl -X POST "https://api.satellitevu.com/policy/v1/contracts/" \
-H "Content-Type: application/json" \
-d '{
"token": "<Access Token>"
}'

The example response is the following:

[
{
"active": true,
"addons": [
...
],
"allowed_geographical_area": {
...
},
"contract_id": "375158d5-a768-44e3-9506-0f6af8833d16",
"end_date": "2025-12-31",
"geographical_summary": "...",
"name": "Your contract name",
"products": [
{
"code": "STANDARD_SCENE",
"currency": "GBP"
}
],
"start_date": "2023-11-01"
}
]

From this response, you will need to use the contract_id value in your following requests.

Contract parameters

As described in Contract Restrictions, several aspects of the Platform vary by contract. These details are included in the response of the POST /contracts endpoint.

ParameterDetails
ProductsThe products field lists which Products are available under the Contract.
LicenceThe addons field includes available Licence levels and their associated price uplifts. When ordering via the API, provide the value of a valid Licence level.
WithholdsThe addons field lists available Withhold options and associated price uplifts. When ordering via the API, you may optionally include the value of a valid Withhold
Geographic areaThe allowed_geographic_area field defines the region in which Catalog and Tasking orders can be placed under the contract

Here is an example of the response:

{
"result": [
{
"active": true,
"addons": [
{
"name": "Withhold",
"options": [
{
"default": true,
"label": "No withhold",
"uplift": 0,
"value": "0d"
},
{
"default": false,
"label": "7 days",
"uplift": 30,
"value": "7d"
}
]
},
{
"name": "Licence",
"options": [
{
"label": "Evaluation Licence",
"value": "Evaluation Licence",
"uplift": 0,
"eula_type": "Evaluation"
},
{
"label": "Commercial - Single entity",
"value": "Single entity",
"uplift": 50,
"eula_type": "Standard"
},
{
"label": "Commercial - Multi entity, 2-5",
"value": "2-5 entities",
"uplift": 100,
"eula_type": "Standard"
}
]
}
],
"allowed_geographical_area": {
"type": "Polygon",
"coordinates": [
[
[
180,
90
],
[
0,
90
],
[
-180,
90
],
[
-180,
-90
],
[
0,
-90
],
[
180,
-90
],
[
180,
90
]
]
]
},
"contract_id": "375158d5-a768-44e3-9506-0f6af8833d16",
"end_date": {
...
},
"geographical_summary": "...",
"name": "...",
"products": [
{
"code": "ASSURED_PRIORITY",
"currency": "GBP",
"priority": 80
},
{
"code": "CATALOG_SCENE",
"currency": "EUR",
"priority": 0
},
{
"code": "STANDARD_SCENE",
"currency": "EUR",
"priority": 35
}
],
"start_date": {
...
}
}
]
}

Add ons

In the Catalog and Tasking order flows, there are a number of add-ons which can be selected in the request.

The currently supported add ons are:

  • Licence levels (Catalog & Tasking orders)
  • Withhold (Tasking orders)

The available add ons are defined by the contract as described above. The response of the POST /contracts endpoint includes the addons object with the Licence and Withholds objects outlining the available options for each.

Licence

  • label - the human-readable name
  • value - the full name of the Licence which needs to be passed in as a field with orders
  • uplift - the price uplift coefficient in percentage based on a base price of the product
  • eula_type - the EULA type that will be delivered with each licence type

Withhold

  • default - the boolean value that identifies which option is considered as the default one.
  • label - the human-readable name.
  • uplift - the price uplift coefficient in percentage based on a base price of the product.
  • value - the withhold value in the ISO 8601 duration format. This value is used when retrieving the price or placing a tasking order.